summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorAaron Griffin <aaron@archlinux.org>2006-12-21 21:50:24 +0100
committerAaron Griffin <aaron@archlinux.org>2006-12-21 21:50:24 +0100
commit3e3f30a212748d79dabec83d2182132741e0d898 (patch)
tree01877370b04579f9da6f04c7db0ab4f85be51c73 /scripts
parentf104023999c1f2ebd1034ee4925e95b30ba16ff2 (diff)
downloadpacman-3e3f30a212748d79dabec83d2182132741e0d898.tar.gz
pacman-3e3f30a212748d79dabec83d2182132741e0d898.tar.xz
Jürgen Hötzel <juergen@hoetzel.info>
* fix in_array variables and usage * correct the final compression - 'filelist' was unused
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/makepkg21
1 files changed, 9 insertions, 12 deletions
diff --git a/scripts/makepkg b/scripts/makepkg
index 7d4e35a5..e9c53d17 100755
--- a/scripts/makepkg
+++ b/scripts/makepkg
@@ -120,7 +120,7 @@ check_option() {
}
in_array() {
- needle=$1
+ local needle=$1
shift 1
[ -z "$1" ] && return 1
for i in $*; do
@@ -441,7 +441,7 @@ if [ $(echo $pkgrel | grep '-') ]; then
error "pkgrel is not allowed to contain hyphens."
exit 1
fi
-if [ ! in_array $CARCH ${arch[@]} ]; then
+if ! in_array $CARCH ${arch[@]}; then
error "$pkgname is not available for the '$CARCH' architecture."
plain "Note that many packages may need a line added to their $BUILDSCRIPT"
plain "such as arch=('$CARCH')."
@@ -884,22 +884,19 @@ tar cvf /dev/null * | sort >.FILELIST
# tar it up
msg "Compressing package..."
cd $startdir/pkg
-if [ -f $startdir/pkg/.INSTALL ]; then
- cmd="tar czvf $PKGDEST/$pkgname-$pkgver-$pkgrel-${CARCH}.${PKGEXT} .PKGINFO .FILELIST .INSTALL *"
-else
- cmd="tar czvf $PKGDEST/$pkgname-$pkgver-$pkgrel-${CARCH}.${PKGEXT} .PKGINFO .FILELIST *"
-fi
-$cmd | sort >../filelist
-if [ ${PIPESTATUS[0]} -gt 0 ]; then
- error "Failed to create package file."
- exit ${PIPESTATUS[0]}
+pkg_file="$PKGDEST/$pkgname-$pkgver-$pkgrel-${CARCH}.${PKGEXT}"
+comp_files=".PKGINFO .FILELIST ${install:+.INSTALL}"
+
+if ! tar czf $pkg_file $comp_files *; then
+ error "Failed to create package file."
+ exit 1
fi
cd $startdir
if [ "$CLEANUP" = "1" ]; then
msg "Cleaning up..."
- rm -rf src pkg filelist
+ rm -rf src pkg
rm -rf ${pkgname}-${pkgver}-${pkgrel}-${CARCH}.log*
fi